﻿using BPA.Component.RabbitMQClient.Extensions;
using BPA.Component.RabbitMQClient.Provider;
using BPA.SaaS.Stock.Api.Model;
using Microsoft.Extensions.DependencyInjection;

namespace BPA.SaaS.Stock.Api.Bootstrap
{
    /// <summary>
    /// RabbitMQ配置 
    /// </summary>
    public static class SetupRabbitMqConfig
    {
        /// <summary>
        /// 使用消息队列
        /// </summary>
        /// <param name="services"></param>
        /// <returns></returns>
        public static IServiceCollection AddRabbitMQ(this IServiceCollection services)
        {
            //注入 RabbitMQProvider
#pragma warning disable CS8603
            services.AddRabbitMQProvider(sp => sp.GetService<StockApiConfig>()?.RabbitMqConfig);
#pragma warning restore CS8603
            // //注入 业务日志 生产者 单例
            // services.UseRabbitMQProducer<CreateBizLogProducer, CreateBizLogMsgBody>();
            // //注入 消息 生产者 单例
            // services.UseRabbitMQProducer<BatchAddMessageProduct, BatchAddMessageMsgBody>();

            return services;
        }

        // public static IServiceCollection UseCap(this IServiceCollection services, Func<IServiceProvider, CapOptions> configFunc)
        // {
        //     if (configFunc == null) throw new ArgumentNullException(nameof(configFunc));
        //     services.AddSingleton(sp => { return configFunc(sp); });
        //     return services;
        // }


        /// <summary>
        /// 预热消息队列
        /// </summary>
        /// <param name="serviceProvider"></param>
        /// <returns></returns>
        public static IServiceProvider PreHeatRunRabbitMQ(this IServiceProvider serviceProvider)
        {
            //获取rabbitMqProvider
            var rabbitMqProvider = serviceProvider.UseRabbitMQProvider<RabbitMQProvider>();

            // //创建交换机配置对象
            // var createBizLogExchangeConfig = rabbitMqProvider.BuildExchangeConfig(MqNameConfig.CreateBizLogExchange);
            // //启用交换机
            // createBizLogExchangeConfig.UseExchange();
            // //启用生产者
            // createBizLogExchangeConfig.UseProducer<CreateBizLogMsgBody, CreateBizLogProducer>();

            // //创建交换机配置对象
            // var addMessageExchangeConfig = rabbitMqProvider.BuildExchangeConfig(MqNameConfig.BatchAddMessageExchange, ExchangeType.Fanout);
            // //启用交换机
            // addMessageExchangeConfig.UseExchange();
            // //启用生产者
            // addMessageExchangeConfig.UseProducer<BatchAddMessageMsgBody, BatchAddMessageProduct>();

            return serviceProvider;
        }
    }
}