﻿namespace BPA.SaaS.Stock.Api.DTO
{
    /// <summary>
    /// 订单流水查询
    /// </summary>
    public class OrderFlowQuery : PageInputBase
    {
        /// <summary>
        /// 订单Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 加盟商编号
        /// </summary>
        public string FranchiseeId { get; set; }
        /// <summary>
        /// 加盟商名称
        /// </summary>
        public string FranchiseeName { get; set; }
        /// <summary>
        /// 店铺名称编号（设备名称编号）
        /// </summary>
        public string StoreId { get; set; }
        /// <summary>
        /// 店铺名称
        /// </summary>
        public string StoreName { get; set; }
        /// <summary>
        /// 商品key
        /// </summary>
        public string GoodsId { get; set; }
        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsName { get; set; }
        /// <summary>
        /// 商品类型编号
        /// </summary>
        public string GoodsTypeId { get; set; }
        /// <summary>
        /// 商品类型名称
        /// </summary>
        public string GoodsTypeName { get; set; }
        /// <summary>
        /// 店铺分类编号（设备类型关联值）
        /// </summary>
        public string StoreTypeId { get; set; }
        /// <summary>
        /// 店铺分类名称(设备类型名称)
        /// </summary>
        public string StoreTypeName { get; set; }
        /// <summary>
        /// 订单编号
        /// </summary>

        public string Order_Number { get; set; }
        /// <summary>
        /// 应付金额
        /// </summary>
        public decimal? Order_OriginalMoney { get; set; }
        /// <summary>
        /// 实付金额
        /// </summary>
        public decimal? Order_RealMoney { get; set; }
        /// <summary>
        /// 支付方式(微信支付)
        /// </summary>
        public int PayMode { get; set; }
        public int Order_Status { get; set; }
        
        /// <summary>
        /// 订单汇总数量
        /// </summary>
        public int Order_Count { get; set; }
        /// <summary>
        /// 订单开始时间
        /// </summary>
        public DateTime? Order_CreateTime { get; set; }
        /// <summary>
        /// 订单结束时间
        /// </summary>
        public DateTime? Order_EndTime { get; set; }
        /// <summary>
        /// 订单类型 
        /// 0-->正常
        /// 1--立即吃面
        /// 2-->其他
        /// </summary>
        public int PlaceMode { get; set; }
    }
    public class OrderSumQuery : PageInputBase
    {
        /// <summary>
        /// 订单Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 加盟商编号
        /// </summary>
        public string FranchiseeId { get; set; }
        /// <summary>
        /// 加盟商名称
        /// </summary>
        public string FranchiseeName { get; set; }
        /// <summary>
        /// 店铺名称编号（设备名称编号）
        /// </summary>
        public string StoreId { get; set; }
        /// <summary>
        /// 店铺名称
        /// </summary>
        public string StoreName { get; set; }
        /// <summary>
        /// 商品key
        /// </summary>
        public string GoodsId { get; set; }
        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsName { get; set; }
        /// <summary>
        /// 商品类型编号
        /// </summary>
        public string GoodsTypeId { get; set; }
        /// <summary>
        /// 商品类型名称
        /// </summary>
        public string GoodsTypeName { get; set; }
        /// <summary>
        /// 店铺分类编号（设备类型关联值）
        /// </summary>
        public string StoreTypeId { get; set; }
        /// <summary>
        /// 店铺分类名称(设备类型名称)
        /// </summary>
        public string StoreTypeName { get; set; }
        /// <summary>
        /// 订单编号
        /// </summary>

        public string Order_Number { get; set; }
        /// <summary>
        /// 应付金额
        /// </summary>
        public decimal? Order_OriginalMoney { get; set; }
        /// <summary>
        /// 实付金额
        /// </summary>
        public decimal? Order_RealMoney { get; set; }
        public decimal? DiscountMoney { get; set; }
        /// <summary>
        /// 支付方式(微信支付)
        /// </summary>
        public int PayMode { get; set; }
        /// <summary>
        /// 订单汇总数量
        /// </summary>

        public int SumOrder { get; set; }
        public int OrderNum { get; set; }
        public int BoxNum { get; set; }
        public int NowNum { get; set; }
        public int Abandoned { get; set; }
        public int Refund { get; set; }
        public int refundMoney { get; set; }
        public int refundNum { get; set; }
        public int Customer { get; set; }
        public int CountDetail { get; set; }
        /// <summary>
        /// 订单开始时间
        /// </summary>
        public DateTime? Order_CreateTime { get; set; }
        /// <summary>
        /// 订单结束时间
        /// </summary>
        public DateTime? Order_EndTime { get; set; }
    }
}
