﻿namespace BPA.SaaS.Stock.Api.DTO
{
    /// <summary>
    /// 订单信息
    /// </summary>
    public  class OrderInfoQuery
    {
        /// <summary>
        /// 编号
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 客户编号
        /// </summary>       
        public string Customer_ID { get; set; }
        /// <summary>
        /// 订单数量
        /// </summary>

        public int Order_Count { get; set; }
        /// <summary>
        /// 支付方式(微信支付)
        /// </summary>
        public int PayMode { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime Order_CreateTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime? Order_EndTime { get; set; }
        /// <summary>
        /// 订单状态
        /// </summary>
        public string Order_Status { get; set; }
        /// <summary>
        /// 应付金额
        /// </summary>
        public float Order_OriginalMoney { get; set; }
        /// <summary>
        /// 实付金额
        /// </summary>
        public float Order_RealMoney { get; set; }
        /// <summary>
        /// 实付出错
        /// </summary>
        public int IsError { get; set; }
        /// <summary>
        /// 出错描述
        /// </summary>
        public string ErrorDescription { get; set; }
        /// <summary>
        /// 订单编号
        /// </summary>

        public string Order_Number { get; set; }
        /// <summary>
        /// 订单排序
        /// </summary>
        public string Order_SortID { get; set; }
        /// <summary>
        /// 付款商家号
        /// </summary>
        public string Transaction_ID { get; set; }
        /// <summary>
        /// 生成随机数
        /// </summary>
        public string Trade_no { get; set; }
        /// <summary>
        /// 是否删除
        /// </summary>
        public int IsDeleted { get; set; }
        /// <summary>
        /// 删除时间
        /// </summary>
        public DateTime? DeleteUpdateTime { get; set; }

        /// <summary>
        /// 订单类型 
        /// 0-->正常
        /// 1--立即吃面
        /// 2-->其他
        /// </summary>
        public int PlaceMode { get; set; }

    }
}
