﻿namespace BPA.SaaS.Stock.Api.DTO
{
    public class OrderQuery : PageInputBase
    {
        /// <summary>
        /// 订单信息主键
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 店铺名称
        /// </summary>
        public string StoreName { get; set; }
        /// <summary>
        /// 商品编号
        /// </summary>
        public string Goods_Id { get; set; }
        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsName { get; set; }
        /// <summary>
        /// 商品key
        /// </summary>
        public string GoodsKey { get; set; }
        /// <summary>
        /// 订单状态
        /// </summary>
        public string Order_Status { get; set; }
        /// <summary>
        /// 订单Id
        /// </summary>
        public string OrderInfo_Id { get; set; }
        /// <summary>
        /// 客户编号
        /// </summary>
        public string Customer_ID { get; set; }
        /// <summary>
        /// 订单数量
        /// </summary>
        public int Order_Count { get; set; }
        /// <summary>
        /// 订单数量(根据查询条件统计）
        /// </summary>
        public int SumOrder_Count { get; set; }
        /// <summary>
        /// 支付方式
        /// </summary>
        public int  PayMode { get; set; }
        /// <summary>
        /// 应付金额
        /// </summary>
        public float Order_OriginalMoney { get; set; }
        /// <summary>
        /// 实付金额
        /// </summary>
        public float Order_RealMoney { get; set; }
        /// <summary>
        /// 订单应付金额（根据查询条件统计）
        /// </summary>
        public float SumOriginalMoney { get; set; }
        /// <summary>
        /// 订单实付金额（根据查询条件统计）
        /// </summary>
        public float SumRealMoney { get; set; }
        /// <summary>
        /// 店铺分类（设备关联值）
        /// </summary>
        public string StoreKey { get; set; }
        ///// <summary>
        ///// 店铺分类名称
        ///// </summary>
        //public string  StoreSrdName { get; set; }
        /// <summary>
        /// 订单开始时间
        /// </summary>
        public DateTime? Order_CreateTime { get; set; }
        /// <summary>
        /// 订单结束时间
        /// </summary>
        public DateTime? Order_EndTime { get; set; }
    }
}
