﻿using BPA.Common.Enums.CRM;

namespace BPA.SaaS.Stock.Api.DTO
{
    /// <summary>
    /// ProductInfoDto
    /// </summary>
    public class ProductInfoDto
    {
        /// <summary>
        /// 物料id
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 物料名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 物料编码
        /// </summary>
        public string code { get; set; }

        /// <summary>
        /// 物料规格
        /// </summary>
        public string specs { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

        /// <summary>
        /// 单位
        /// </summary>
        public string StockUint { get; set; }

        /// <summary>
        /// 类型
        /// </summary>
        public string TypeID { get; set; }

        /// <summary>
        /// itemName
        /// </summary>
        public string itemName { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        public EnumCommonStatus Status { get; set; }

        /// <summary>
        /// 原料属性
        /// </summary>
        public string Aittribute { get; set; }

        /// <summary>
        /// 配料类型
        /// </summary>
        public string batchingType { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public List<ProductDetailedDto> membersList { get; set; }
    }

    /// <summary>
    /// ProductDetailedDto
    /// </summary>
    public class ProductDetailedDto
    {
        /// <summary>
        /// 物料id
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 单位
        /// </summary>
        public string PackUnit { get; set; }

        /// <summary>
        /// 物料编码
        /// </summary>
        public string PackCode { get; set; }

        public string Code { get; set; }

        /// <summary>
        /// 换算比例
        /// </summary>
        public decimal Proportion { get; set; }
    }
}