﻿using BPA.Common.Enums.CRM;

namespace BPA.SaaS.Stock.Api.DTO
{
    public class ProductListQuery : PageInputBase
    {
        /// <summary>
        /// 编号
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 原料编码
        /// </summary>           
        public string Code { get; set; }

        /// <summary>
        /// 商品属性  (0成品,1半成品,2,易耗品)
        /// </summary>           
        public string Aittribute { get; set; }

        /// <summary>
        /// 原料名称
        /// </summary>           
        public string Name { get; set; }

        /// <summary>
        /// 原料类型
        /// </summary>           
        public string TypeID { get; set; }

        /// <summary>
        /// 原料类型名称
        /// </summary>           
        public string TypeName { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreateAt { get; set; }

        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime? UpdateAt { get; set; }

        /// <summary>
        /// 库存单位
        /// </summary>           
        public string StockUint { get; set; }

        /// <summary>
        /// 库存单位名称
        /// </summary>           
        public string StockUintName { get; set; }

        /// <summary>
        /// 规格属性
        /// </summary>           
        public string Specs { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        public EnumCommonStatus? Status { get; set; }

        /// <summary>
        /// 状态文本
        /// </summary>
        public string StatusText { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string batchingType { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public List<ProductDetailedDto> MembersList { get; set; }
    }
}