﻿namespace BPA.SaaS.Stock.Api.DTO
{
    /// <summary>
    /// 实时库存查询类
    /// </summary>
    public class StoreBatchingQuery : PageInputBase
    {
        /// <summary>
        /// 编号
        /// </summary>
        public string  Id { get; set; }
        /// <summary>
        /// 店铺分类
        /// </summary>
        public string StoreTypeId { get; set; }
        /// <summary>
        /// 店铺分类名称
        /// </summary>
        public string StoreTypeName{ get; set; }
        /// <summary>
        /// 店铺编号
        /// </summary>
        public string Store_Id { get; set; }
        /// <summary>
        /// 店铺名称
        /// </summary>
        public string StoreName { get; set; }
        /// <summary>
        /// 商品编号
        /// </summary>
        public string  GoodsId { get; set; }
        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsName { get; set; }
        /// <summary>
        /// 配料ID
        /// </summary>
        public string Batching_Id { get; set; }
        /// <summary>
        /// 配料存放位置
        /// </summary>
        public string Batching_Loc { get; set; }
        /// <summary>
        /// 配料余量
        /// </summary>
        public int Batching_Count { get; set; }
        /// <summary>
        /// 配料总量
        /// </summary>
        public int Total_Count { get; set; }
        /// <summary>
        /// 是否删除
        /// </summary>
        public int IsDeleted { get; set; }
        /// <summary>
        /// 库存预警(大于20%为正常，低于20%为低库存（配料余量/总的数量）)
        /// </summary>
        public float? Status { get; set; }
        /// <summary>
        /// 删除时间
        /// </summary>
        public DateTime? DeleteAt { get; set; }
    }
}
