﻿using BPA.Common.Entity;
using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity
{
    ///<summary>
    ///原料表
    ///</summary>
    [SugarTable("BPA_Batching")]
    public partial class BPA_Batching : BaseGroupIdEntity
    {
        public BPA_Batching()
        {
        }

        /// <summary>
        /// 原料编码
        /// </summary>           
        [SugarColumn(ColumnDataType = "Nvarchar(50)", IsNullable = false)]
        public string Code { get; set; }

        //TODO:为何不用枚举
        /// <summary>
        /// 商品属性  (0成品,1半成品,2,易耗品)
        /// </summary>           
        [SugarColumn(IsNullable = false)]
        public int Aittribute { get; set; } = 0;

        /// <summary>
        /// 原料名称
        /// </summary>           
        [SugarColumn(ColumnDataType = "Nvarchar(200)", IsNullable = false)]
        public string Batching_Name { get; set; }

        /// <summary>
        /// 配料类型
        /// </summary>           
        [SugarColumn(ColumnDataType = "Nvarchar(200)", IsNullable = false)]
        public string Batching_Type { get; set; }


        /// <summary>
        /// 原料类型
        /// </summary>           
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string TypeID { get; set; }

        /// <summary>
        /// 库存单位
        /// </summary>           
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string StockUint { get; set; }

        /// <summary>
        /// 规格属性
        /// </summary>           
        [SugarColumn(ColumnDataType = "Nvarchar(500)", IsNullable = false)]
        public string Specs { get; set; }


        [SugarColumn(IsOnlyIgnoreInsert = true, IsOnlyIgnoreUpdate = true)]
        public int AutoKey { get; set; }
    }
}