﻿using BPA.Common.Enums.CRM;
using BPA.Component.DTOCommon.BaseDTOs;
using BPA.SaaS.Stock.Api.DTO;

namespace BPA.SaaS.Stock.Api.IRepository.Product;

public interface IProductRepository
{
    Task<BaseResultPage<ProductListByCodeQuery>> GetProductListBySrdId(ProductListDto dto);
    Task<BaseResultPage<ProductListQuery>> GetProductList(ProductListQuery dto, string groupId);
    Task<BaseResult<bool>> AddProduct(ProductInfoDto dto);
    Task<BaseResult<bool>> UpdateProduct(ProductInfoDto dto);
    Task<BaseResult<bool>> BatchDelProduct(List<string> ids);
    Task<BaseResult<List<ProductDetailedDto>>> GetProductCode(string productId);
    Task<BaseResult<List<ProductInfoDto>>> IsModifyOrDel(string[] ids, string typeValue, EnumCommonStatus? status);
}